/*-----------------------------------------------------------------------------------
    Allgemein
-----------------------------------------------------------------------------------*/
/*Hyperlinks*/
nav a{

    text-decoration:none;
    color:var(--text);

    font-weight:600;

    transition:.25s;
}

nav a:hover {
    color:var(--accent);
    transform: translateY(-5px);
}

/*-----------------------------------------------------------------------------------
    Mobil
-----------------------------------------------------------------------------------*/
@media (max-width: 1100px)
{

.deskNav{
    display: none;
}

/* seitliches Navigationsmenü*/
.sideNav {
    position: fixed;
    top: 0;
    right: -280px;
    width: 200px;
    height: 100vh;
    background: #222;
    transition: rig 0.3s ease;
    padding-top: 20px;
}

.sideNav a {
    display: block;
    padding: 15px 20px;
    color: white;
    text-decoration: none;
}

.sideNav ul {
    list-style: none;
}

.sideNav.open {
    animation: sideNavIn 1s ease forwards;
}

.sideNav.close {
    animation: sideNavOut 1s ease forwards;
}

#openNavButton{

        display: block;
        text-align: right;
        font-size: 28px;
        background: none;
        border: none;
        cursor: pointer;
        color: var(--secondary);

}

}

/*-----------------------------------------------------------------------------------
    Desktop
-----------------------------------------------------------------------------------*/
@media (min-width: 1100px)
{
#openNavButton {
    display: none;
}

.sideNav {
    display: none;
}

.deskNav ul{

    display:flex;
    list-style:none;
    gap:35px;
    
}

.deskNav.animate {
    animation: brandBlendIn 1.5s ease;
}

}
